#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 1e5 + 50;
char s[N];
bool r[10];
int main()
{
    int n;
    scanf("%d%s", &n, s);
    for (int i = 0; i < n; i++)
    {
        switch (s[i])
        {
        case 'L':
            for (int i = 0; i <= 9; i++)
                if (!r[i])
                {
                    r[i] = true;
                    break;
                }
            break;
        case 'R':
            for (int i = 9; i >= 0; i--)
                if (!r[i])
                {
                    r[i] = true;
                    break;
                }
            break;
        default:
            r[s[i] - '0'] = false;
            break;
        }
    }
    for (int i = 0; i < 10; i++) putchar('0' + r[i]);
    return 0;
}